org.apache.maven.project.interpolation

## Class ModelInterpolationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.maven.project.interpolation.ModelInterpolationException

- All Implemented Interfaces:
    java.io.Serializable

      public class ModelInterpolationException
      extends java.lang.Exception

  Author:
    jdcasey

    Created on Feb 2, 2005
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ModelInterpolationException(java.lang.String message)`
    `ModelInterpolationException(java.lang.String expression, java.lang.String message)`
    `ModelInterpolationException(java.lang.String expression, java.lang.String message, java.lang.Throwable cause)`
    `ModelInterpolationException(java.lang.String message, java.lang.Throwable cause)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getExpression()`
    `java.lang.String` | `getOriginalMessage()`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ModelInterpolationException

          public ModelInterpolationException(java.lang.String message)

    - #### ModelInterpolationException

          public ModelInterpolationException(java.lang.String message,
                                     java.lang.Throwable cause)

    - #### ModelInterpolationException

          public ModelInterpolationException(java.lang.String expression,
                                     java.lang.String message,
                                     java.lang.Throwable cause)

    - #### ModelInterpolationException

          public ModelInterpolationException(java.lang.String expression,
                                     java.lang.String message)

  - ### Method Detail

    - #### getExpression

          public java.lang.String getExpression()

    - #### getOriginalMessage

          public java.lang.String getOriginalMessage()